useGridFiltering
Hook for programmatic filter control.
Must be used within a DataGrid component tree with filtering enabled.
useGridFiltering(selector: string): FilteringMethodsParameters
Section titled “Parameters”| Name | Type | Description |
|---|---|---|
selector | string | Optional CSS selector to target a specific grid element via |
| DOM query instead of using React context. Use when the component contains | ||
multiple grids, e.g. 'tbw-grid.primary' or '#my-grid'. |
Example
Section titled “Example”import { useGridFiltering } from '@toolbox-web/grid-react/features/filtering';
function QuickFilters() { const { setFilter, clearAllFilters, getFilteredRowCount, isFieldFiltered } = useGridFiltering();
return ( <div> <input placeholder="Filter by name..." onChange={(e) => setFilter('name', e.target.value ? { operator: 'contains', value: e.target.value } : null)} /> <span>{getFilteredRowCount()} rows</span> <button onClick={clearAllFilters}>Clear All</button> </div> );}

Skip to content

useGridFiltering

Composable for programmatic filter control.

Must be used within a component that contains a TbwGrid with filtering enabled.

useGridFiltering(selector: string): FilteringMethods
NameTypeDescription
selectorstringOptional CSS selector to target a specific grid element via
DOM query instead of using Vue’s provide/inject. Use when the component
contains multiple grids, e.g. 'tbw-grid.primary' or '#my-grid'.
<script setup>
import { useGridFiltering } from '@toolbox-web/grid-vue/features/filtering';
const { setFilter, clearAllFilters, getFilteredRowCount, isFieldFiltered } = useGridFiltering();
function applyQuickFilter(field: string, value: string) {
setFilter(field, { operator: 'contains', value });
}
</script>
<template>
<input @input="applyQuickFilter('name', $event.target.value)" placeholder="Filter by name..." />
<span>{{ getFilteredRowCount() }} results</span>
<button @click="clearAllFilters">Clear Filters</button>
</template>